lib/Tools/unsymbolize
changeset 10026 dfa85ba2295a
child 10511 efb3428c9879
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/unsymbolize	Mon Sep 18 23:43:56 2000 +0200
@@ -0,0 +1,42 @@
+#!/bin/bash
+#
+# $Id$
+# Author: Markus Wenzel, TU Muenchen
+# License: GPL (GNU GENERAL PUBLIC LICENSE)
+#
+# DESCRIPTION: remove unreadable symbol names from sources
+
+
+## diagnostics
+
+PRG=$(basename "$0")
+
+function usage()
+{
+  echo
+  echo "Usage: $PRG [FILES|DIRS...]"
+  echo
+  echo "  Recursively find .thy/.ML files, removing unreadable symbol names."
+  echo "  Note: this is an ad-hoc script; there is no systematic way to replace"
+  echo "  symbols independently of the inner syntax of a theory!"
+  echo
+  echo "  Renames old versions of FILES by appending \"~~\"."
+  echo
+  exit 1
+}
+
+
+## process command line
+
+[ "$#" -eq 0 -o "$1" = "-?" ] && usage
+
+SPECS="$@"; shift "$#"
+
+
+## main
+
+#set by configure
+AUTO_PERL=perl
+
+find $SPECS \( -name \*.ML -o -name \*.thy \) -print | \
+  xargs "$AUTO_PERL" -w "$ISABELLE_HOME/lib/scripts/unsymbolize.pl"